## network-manager-applet 0.9.2.0

=== debian/changelog ===
network-manager-applet (0.9.2.0-2) unstable; urgency=low

  * Fix versioned Build-Depends on dpkg-dev.
    The buildflags.mk snippet was added in version 1.16.1, not 1.6.1.
  * debian/patches/01-editor-policykit-authentication.patch
    - Fix interaction of single-edit mode with PolicyKit authentication.
      Patch cherry-picked from upstream Git. (Closes: #652961)
  * debian/patches/02-link-gconf-helper-test-against-gnome-keyring.patch
    - Fix linking with gnome-keyring in a gconf-helpers test program.
      Patch cherry-picked from upstream Git.

 -- Michael Biebl <biebl@debian.org>  Wed, 01 Feb 2012 15:14:40 +0100

network-manager-applet (0.9.2.0-1) unstable; urgency=low

  * New upstream release.
  * Remove debian/patches/01-export-symbols.patch, merged upstream.
  * debian/control:
    - Bump Build-Depends on libnm-*-dev and network-manager-dev to (>= 0.9.2).
    - Bump Depends on network-manager to (>= 0.9.2).
    - Update Depends of libnm-gtk-dev according to libnm-gtk.pc.
  * Enable default hardening options from dpkg-buildflags.
    - Use buildflags.mk snippet in debian/rules.
    - Add Build-Depends on dpkg-dev (>= 1.6.1).

 -- Michael Biebl <biebl@debian.org>  Sat, 12 Nov 2011 06:08:08 +0100

network-manager-applet (0.9.1.95-1) experimental; urgency=low

  * New upstream release (0.9.2 rc1).
  * Provide libnm-gtk as a private library for wireless and mobile dialogs:
    - Add packages for libnm-gtk0, libnm-gtk-dev and libnm-gtk-common.
    - Add debian/patches/01-export-symbols.patch to restrict the number of
      exported symbols.
    - Use dh-autoreconf to update the build system.
  * debian/control:
    - Bump Build-Depends on libnm-*-dev and network-manager-dev to (>= 0.9.1).
    - Add Build-Depends on iso-codes.
    - Add Recommends on iso-codes for translated country names in the mobile
      broadband wizard.

 -- Michael Biebl <biebl@debian.org>  Fri, 04 Nov 2011 12:47:42 +0100

network-manager-applet (0.9.0-4) unstable; urgency=low

  * debian/watch: Track .xz tarballs.
  * Use the new maintscript facility in dh_installdeb to remove the obsolete
    conffile.
  * Update the last unfixed version to 0.9.0-3 as we missed to remove the old
    conffile for users upgrading from 0.8.4-2 or 0.8.4-3. (Closes: #645450)

 -- Michael Biebl <biebl@debian.org>  Wed, 19 Oct 2011 10:37:45 +0200

network-manager-applet (0.9.0-3) unstable; urgency=low

  * Build against GTK 3 and gnome-bluetooth 3. (Closes: #623781)
  * Add Breaks against gnome-bluetooth (<< 3.0).

 -- Michael Biebl <biebl@debian.org>  Thu, 13 Oct 2011 19:44:10 +0200

network-manager-applet (0.9.0-2) unstable; urgency=low

  * On upgrades tell update-notifier to show a reboot-required notification
    since older versions of nm-applet will no longer work with network-manager
    0.9 and need to be restarted.
  * Upload to unstable.

 -- Michael Biebl <biebl@debian.org>  Sat, 17 Sep 2011 21:06:53 +0200

network-manager-applet (0.9.0-1) experimental; urgency=low

  * New upstream release.
  * debian/control
    - Bump Build-Depends on libnm-*-dev and network-manager-dev to (>= 0.9).
    - Bump Build-Depends on libnotify-dev to (>= 0.7).
    - Bump Depends on network-manager to (>= 0.9).
    - Restrict Build-Depends on libgnome-bluetooth-dev to (<< 3.0.0).

 -- Michael Biebl <biebl@debian.org>  Wed, 24 Aug 2011 15:00:38 +0200

network-manager-applet (0.8.9997-1) experimental; urgency=low

  * New upstream release (0.9 rc3).
    - Fixes unused-but-set-variable warnings. (Closes: #625400)

 -- Michael Biebl <biebl@debian.org>  Sun, 29 May 2011 23:02:21 +0200

network-manager-applet (0.8.999-1) experimental; urgency=low

  * New upstream release (0.9 rc2).
  * Merge changes from unstable branch.

 -- Michael Biebl <biebl@debian.org>  Wed, 04 May 2011 23:27:46 +0200

network-manager-applet (0.8.998-1) experimental; urgency=low

  * New major upstream release (0.9 rc1).
  * debian/control
    - Bump Build-Depends on libnm-*-dev and network-manager-dev to
      (>= 0.8.998).
    - Bump Build-Depends on libgtk2.0-dev to (>= 2.20).
    - Bump Depends on network-manager to (>= 0.8.998).
    - Bump Standards-Version to 3.9.2. No further changes.
  * debian/rules
    - Build against GTK+ version 2.
  * User settings are gone.
    - Drop debian/patches/01-dbus_access_nm_applet.patch, obsolete.
    - Remove /etc/dbus-1/system.d/nm-applet.conf on upgrades. Use
      dpkg-maintscript-helper to remove the conffile.
  * Refresh debian/patches/04-autostart.patch.

 -- Michael Biebl <biebl@debian.org>  Sat, 09 Apr 2011 20:18:31 +0200

network-manager-applet (0.8.4-3) unstable; urgency=low

  * debian/rules
    - Disable additional compiler warnings (including -Werror) as it causes
      build failures with GCC 4.6. (Closes: #634392)

 -- Michael Biebl <biebl@debian.org>  Sun, 31 Jul 2011 17:00:14 +0200
