## network-manager-applet 0.9.4.1

=== debian/changelog ===
network-manager-applet (0.9.4.1-5) unstable; urgency=low

  * debian/patches/11-user-connections.patch: Fix a bug in the check for
    whether to mark WEP keys as agent-owned.

 -- Michael Biebl <biebl@debian.org>  Wed, 30 Jan 2013 02:33:26 +0100

network-manager-applet (0.9.4.1-4) unstable; urgency=low

  * debian/patches/12-force-online.patch: If NM has an active unmanaged device
    it will forcefully set the online state to CONNECTED_GLOBAL. In that case
    show a wired connection icon instead of an offline icon. (Closes: #471191)
  * Recommend gnome-keyring instead of libpam-keyring. The former is what we
    actually need for storing secrets in the user session. (Closes: #694695)
  * debian/patches/11-user-connections.patch: Treat WEP keys like WPA secrets
    and store them in the keyring for user-owned connections.

 -- Michael Biebl <biebl@debian.org>  Thu, 17 Jan 2013 10:58:23 +0100

network-manager-applet (0.9.4.1-3) unstable; urgency=low

  [ Michael Biebl ]
  * Add Build-Depends on gnome-common which is required for autoreconf.

  [ Josselin Mouette ]
  * debian/patches/05-8021x-passwords-user.patch: patch from upstream git.
    Correctly set 802.1x passwords as agent-owned, so that they are stored
    in the user’s keyring.
  * debian/patches/11-user-connections.patch: new patch. Set passwords as
    agent-owned when they need to, to allow users without root permissions
    to easily configure their connections. (Closes: #696256)
    The logic is:
    - Bluetooth, CDMA and GSM connections: always user-owned
    - WEP/WPA connections: system-owned if user has the permissions
      (with NM’s config, that is netdev or sudo membership), user-owned
      otherwise. The password is stored in the keyring for WPA, not for
      WEP.
    - WiMax / Wired connections: always system-owned (with 802.1x
      passwords in the keyring).

 -- Michael Biebl <biebl@debian.org>  Sun, 06 Jan 2013 09:57:29 +0100

network-manager-applet (0.9.4.1-2) unstable; urgency=low

  * debian/rules: Use xz compression for binary packages.
  * debian/control: Add network-manager-openconnect-gnome to Suggests.
    (Closes: #670724)
  * debian/patches/02-fix-shell-version-detecting-code.patch,
    debian/patches/03-dont-handle-VPN-secrets-with-GNOME-Shell-3.4.patch: Fix
    race condition on session startup when detecting the GNOME Shell version
    and only handle VPN authentication requests with GNOME Shell < 3.4
    otherwise nm-applet and the Shell fight over who gets to handle secrets.
    Patches cherry-picked from upstream Git. (Closes: #680963)
  * debian/patches/04-gnome-bluetooth-3.4-support.patch: Add support for
    gnome-bluetooth 3.4 which uses GDBusProxy instead of DBusGProxy. This
    fixes the timeouts when creating DUN connections. Patch cherry-picked from
    upstream Git. (Closes: #680866)

 -- Michael Biebl <biebl@debian.org>  Tue, 11 Sep 2012 21:51:03 +0200

network-manager-applet (0.9.4.1-1) unstable; urgency=low

  * New upstream release.
  * Bump Build-Depends on libnm-*-dev and network-manager-dev to (>= 0.9.4).
  * Drop unused Build-Depends on libpolkit-gobject-1-dev.
  * Remove patches, all merged upstream:
    - debian/patches/01-editor-policykit-authentication.patch
    - debian/patches/02-link-gconf-helper-test-against-gnome-keyring.patch
    - debian/patches/04-autostart.patch
  * Update debian/copyright using the machine-readable copyright format 1.0.
  * Bump Standards-Version to 3.9.3.
  * debian/patches/01-format-security.patch: Fix format string vulnerability
    in utils_show_error_dialog().
  * Bump Depends on network-manager to (>= 0.9.4).

 -- Michael Biebl <biebl@debian.org>  Sat, 24 Mar 2012 22:45:34 +0100
