=== debian/control ===
--- 
+++ 
@@ -8,6 +8,7 @@
  dpkg-dev (>= 1.16.1),
  autotools-dev,
  dh-autoreconf,
+ gnome-common,
  intltool,
  libdbus-glib-1-dev (>= 0.74),
  libgnome-keyring-dev,
@@ -15,15 +16,14 @@
  libglib2.0-dev (>= 2.16),
  libgconf2-dev,
  libnotify-dev (>= 0.7),
- libnm-util-dev (>= 0.9.2),
- libnm-glib-dev (>= 0.9.2),
- libnm-glib-vpn-dev (>= 0.9.2),
- network-manager-dev (>= 0.9.2),
+ libnm-util-dev (>= 0.9.4),
+ libnm-glib-dev (>= 0.9.4),
+ libnm-glib-vpn-dev (>= 0.9.4),
+ network-manager-dev (>= 0.9.4),
  docbook-to-man,
- libpolkit-gobject-1-dev (>= 0.92),
  libgnome-bluetooth-dev (>= 3.0.0),
  iso-codes
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Vcs-Git: git://git.debian.org/git/pkg-utopia/network-manager-applet.git
 Vcs-Browser: http://git.debian.org/?p=pkg-utopia/network-manager-applet.git;a=summary
 Homepage: http://www.gnome.org/projects/NetworkManager/
@@ -35,17 +35,18 @@
 Depends:
  ${shlibs:Depends},
  ${misc:Depends},
- network-manager (>= 0.9.2),
+ network-manager (>= 0.9.4),
  policykit-1-gnome,
  gnome-icon-theme,
  dbus-x11
 Recommends:
  notification-daemon,
- libpam-keyring,
+ gnome-keyring,
  mobile-broadband-provider-info,
  gnome-bluetooth,
  iso-codes
 Suggests:
+ network-manager-openconnect-gnome,
  network-manager-openvpn-gnome,
  network-manager-vpnc-gnome,
  network-manager-pptp-gnome
