=== debian/rules ===
--- 
+++ 
@@ -26,4 +26,7 @@
 	dh_install
 	find debian/network-manager-gnome/ -name \*.la -o -name \*.a | xargs rm -f
 
+override_dh_builddeb:
+	dh_builddeb -- -Zxz
+
 override_dh_auto_test:
