## network-manager-applet 0.9.6.2

=== debian/changelog ===
network-manager-applet (0.9.6.2-0ubuntu6) quantal; urgency=low

  * debian/patches/git_indicate_hspa+_lte_tech_dbe3b12.patch: add indications
    and support for HSPA+ and LTE modes. (LP: #1044744)
  * Also update nm-applet-use-indicator.patch for the changes above.
  * debian/patches/git_mac_addr_string_leakage_6dae878.patch: use
    nm_utils_hwaddr_ntoa() to output MAC addresses as strings since it's
    available and make sure they get freed to avoid leaks.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Thu, 27 Sep 2012 22:25:48 -0400

network-manager-applet (0.9.6.2-0ubuntu5) quantal; urgency=low

  * debian/patches/nm-applet-use-indicator.patch: Plug two small leaks.
  * debian/patches/lp1048520_delay_pin_dialog_in_greeter.patch: Delay PIN
    dialog when in greeter mode; it shouldn't show unless a user goes to
    activate a mobile connection which needs unlocking. (LP: #1048520)

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Thu, 20 Sep 2012 16:40:24 -0400

network-manager-applet (0.9.6.2-0ubuntu4) quantal; urgency=low

  * debian/patches/make_menu_items_insensitive_based_on_permissions.patch,
    debian/patches/hide_policy_items_env_var.patch:
    Make "New Mobile Broadband connection..." item sensitive to permissions.
    (LP: #1048512)
  * debian/patches/lp1048516_dont_req_keyring_in_greeter.patch: don't have
    the pin dialog try to save passwords (and thus don't require a keyring) if
    the user doesn't have MODIFY_OWN permissions. (LP: #1048516)

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Mon, 17 Sep 2012 15:05:13 -0400

network-manager-applet (0.9.6.2-0ubuntu3) quantal; urgency=low

  * debian/patches/applet_adhoc_use_wpa_rsn_part1.patch: enable the use of
    WPA2/RSN for adhoc again, instead of WPA-None; to provide a way to get a
    "good" encryption method available for adhoc networks. (LP: #1046918)

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Fri, 07 Sep 2012 16:06:37 -0400

network-manager-applet (0.9.6.2-0ubuntu2) quantal; urgency=low

  * debian/patches/position_dialogs_to_center_of_the_screen.patch: make sure
    created dialogs (like password requests) are properly centered on the
    screen. (LP: #1043934)
  * debian/patches/make_menu_items_invisible_based_on_permissions.patch,
    debian/patches/hide_policy_items_env_var.patch: items that are disallowed
    by the effective PolicyKit policy for a user should be consistently showing
    as such: they should either be insensitive (greyed), or hidden altogether.
    (LP: #1043929)

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Thu, 30 Aug 2012 14:27:42 -0400

network-manager-applet (0.9.6.2-0ubuntu1) quantal; urgency=low

  * New upstream release.
    - Fix GNOME Bluetooth plugin DUN modem detection and setup
    - Various crash and stability fixes
    - Allow appending DNS servers and domains in automatic addressing mode
    - Fix defaults for PPP echo values
    - Show IPv6 addressing page for VPN plugins that support it
    - Port to GSettings and split out 0.8 -> 0.9 migration code
    - Recognize PKCS#12 certificates imported from Firefox
    - Pre-fill CDMA username/password in the mobile broadband wizard
    - Only handle VPN secrets for GNOME Shell 3.3 and lower
  * debian/control: Bump Depends and Build-Depends to (>= 0.9.6) for
    network-manager and the libnm-{glib,util,glib-vpn}-dev packages.
  * debian/patches/git_fix_some_leaks_80ef61b.patch: cherry-picked patch to
    fix a few leaks: g_object_get() and gtk_tree_model_get() copy/ref the
    values they return, so make sure to deal with that everywhere.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Fri, 10 Aug 2012 15:44:44 -0400

network-manager-applet (0.9.6.0~git201207161252.13c6db8-0ubuntu3) quantal; urgency=low

  * Rebuild with current libgnome-bluetooth

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 10 Aug 2012 11:59:51 +0200

network-manager-applet (0.9.6.0~git201207161252.13c6db8-0ubuntu2) quantal; urgency=low

  * debian/patches/lp341684_device_sensitive_disconnect_notify.patch: updated 
    to respect the "disable-disconnected-notifications" settings. (LP: #445872)

 -- Matvey Marinin <matvey.marinin@gmail.com>  Thu, 02 Aug 2012 16:21:04 -0400

network-manager-applet (0.9.6.0~git201207161252.13c6db8-0ubuntu1) quantal; urgency=low

  * upstream snapshot 2012-07-16 12:52:27 (GMT) (LP: #1020429)
    + 13c6db880345b4123fb75d00905a5addbd046f92
  * debian/rules: simplify version number for git snapshots.
  * debian/control: bump Depends/Build-Depends for NM to 0.9.5.95; since we
    require nm_utils_is_file_pkcs12(); which is introduced in that version.
  * debian/patches/revert_git_policy_error_dialog_ba8381a.patch: dropped, not
    required anymore.
  * debian/patches/nm-applet-use-indicator.patch: refreshed.
  * debian/patches/lp829673_gconf_hide_applet.patch: refreshed and revised to
    use gsettings instead of gconf.
  * debian/patches/series: moved nm-applet-use-indicator.patch to be the last
    applied; so that others are easier to push upstream.
  * debian/network-manager-gnome.install:
    - Install gsettings schemas.
    - Also install nm-applet-migration-tool; for the migration of gconf to
      gsettings.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Tue, 17 Jul 2012 17:17:08 -0400

network-manager-applet (0.9.4.1-0ubuntu3) quantal; urgency=low

  * No-change rebuild for libgnome-bluetooth10.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Wed, 16 May 2012 21:25:09 -0400

network-manager-applet (0.9.4.1-0ubuntu2) precise; urgency=low

  * debian/patches/nm-applet-use-indicator.patch: move the tooltip/accessible
    description update to after the tooltip string gets updated; so that we get
    the right string rather than what was just changed. (LP: #944766)

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Tue, 03 Apr 2012 12:24:24 -0400

network-manager-applet (0.9.4.1-0ubuntu1) precise; urgency=low

  * New upstream release 0.9.4.1.
    - Bugfix release.

