## network-manager-applet 0.9.7.995+git201301311844.0376019

=== debian/changelog ===
network-manager-applet (0.9.7.995+git201301311844.0376019-0ubuntu3) raring; urgency=low

  * debian/control: make libnm-gtk-dev depend on gir1.2-nmgtk-1.0
  * debian/rules: run dh_girepository

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Thu, 07 Feb 2013 17:42:18 +0100

network-manager-applet (0.9.7.995+git201301311844.0376019-0ubuntu2) raring; urgency=low

  * debian/control: add gir1.2-nmgtk-1.0 package.
  * debian/gir1.2-nmgtk-1.0.install: install the necessary introspection
    data.
  * debian/rules: run dh_install with --fail-missing.
  * debian/network-manager-gnome.install: add /usr/share/locale and
    /usr/share/GConf which are unexplicably missing from the package to be
    installed.
  * debian/rules: move find command to get rid of .la/.a files to before
    dh_install, update to use -delete rather than piping file names to rm.
  * debian/control: add libgirepository1.0-dev.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Wed, 06 Feb 2013 17:17:23 -0500

network-manager-applet (0.9.7.995+git201301311844.0376019-0ubuntu1) raring; urgency=low

  * upstream snapshot 2013-01-31 18:44:13 (GMT)
    + 03760194e54eaeaf493e9b45c4835e84524d8650
  * debian/patches/nm-applet-use-indicator.patch: refreshed.
  * debian/patches/lp1048516_dont_req_keyring_in_greeter.patch: refreshed.
  * debian/patches/lp289466_always_show_tray_icon.patch: refreshed.
  * debian/patches/lp829673_gconf_hide_applet.patch: refreshed.
  * debian/patches/position_dialogs_to_center_of_the_screen.patch: refreshed.
  * debian/patches/hide_policy_items_env_var.patch: refreshed.
  * debian/patches/lp1048520_delay_pin_dialog_in_greeter.patch: refreshed.
  * debian/patches/nm-applet-use-indicator.patch: fix the addition of separator
    menu items to avoid multiple separators added in a block.
  * debian/control: bump network-manager Depends and Build-Depends to the
    appropriate snapshot version.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Tue, 05 Feb 2013 16:15:00 -0500

network-manager-applet (0.9.6.2+git201212301945.bac0998-0ubuntu1) raring; urgency=low

  * upstream snapshot 2012-12-30 19:45:57 (GMT)
    + bac09981ba00f0f96c6a1d682b14b0883ba7e3ef
  * debian/patches/nm-applet-use-indicator.patch: refreshed.
  * debian/patches/mobile-wizard.patch: dropped.
  * debian/control: bump Build-Depends and Depends for network-manager and
    related libraries to >= 0.9.6.0+git201301021750.e78c3e8.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Mon, 07 Jan 2013 10:53:30 -0500

network-manager-applet (0.9.6.2+git201211052130.2d666bc-0ubuntu2) raring; urgency=low

  * debian/patches/rebuild_menu_after_init.patch: Work around issues with
    menu initialization at session start by forcing a first menu update after
    30 seconds. (LP: #965895)

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Fri, 14 Dec 2012 13:30:28 -0500

network-manager-applet (0.9.6.2+git201211052130.2d666bc-0ubuntu1) raring; urgency=low

  * upstream snapshot 2012-11-05 21:30:03 (GMT)
    + 2d666bc7aa6f0b731d131319b36f07b0f2bdce16
  * debian/patches/git_fix_some_leaks_80ef61b.patch,
    debian/patches/git_indicate_hspa+_lte_tech_dbe3b12.patch,
    debian/patches/git_mac_addr_string_leakage_6dae878.patch: dropped, included
    in upstream tarball.
  * debian/patches/lp328572-dxteam-connect-text.patch: refreshed.
  * debian/patches/lp330571_dxteam_wired_connect_text.patch: refreshed.
  * debian/patches/lp337960_dxteam_notification_icon_names.diff,
    debian/patches/lp337960_dxteam_notification_icon_names_part2-images.diff:
    disabled patches, they don't seem to be used (the icons don't match up with
    what is currently observable on the desktop). Let's see if someone screams.
  * debian/patches/applet-wifi-menu-before-vpn.patch: refreshed.
  * debian/patches/lp830178_adhoc_ip6_ignore.patch: refreshed.
  * debian/patches/lp829673_gconf_hide_applet.patch: refreshed.
  * debian/patches/nm-applet-use-indicator.patch: refreshed.
  * debian/patches/hide_policy_items_env_var.patch: refreshed.
  * debian/patches/applet_adhoc_use_wpa_rsn_part1.patch: refreshed.
  * debian/patches/lp341684_device_sensitive_disconnect_notify.patch:
    refreshed.
  * debian/patches/lp460144_correctly_update_notification.patch: refreshed.
  * debian/patches/make_menu_items_insensitive_based_on_permissions.patch:
    refreshed.
  * debian/control:
    - add gobject-introspection to Build-Depends.
    - add gudev-dev to Build-Depends.
    - bump network-manager and libnm-* Build-Depends and Depends to require
      at least 0.9.6.0+git201211131441.e9e2c56-0ubuntu1.
  * debian/rules:
    - use autogen.sh with dh_autoreconf instead of calling intltoolize and
      gtkdocize manually.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Mon, 19 Nov 2012 14:46:29 -0500
