=== debian/control ===
--- 
+++ 
@@ -17,12 +17,15 @@
  libglib2.0-dev (>= 2.16),
  libgconf2-dev,
  libnotify-dev (>= 0.4.3),
- libnm-util-dev (>= 0.9.6),
- libnm-glib-dev (>= 0.9.6),
- libnm-glib-vpn-dev (>= 0.9.6),
- network-manager-dev (>= 0.9.6),
+ libnm-util-dev (>= 0.9.7.995+git201301311547.17123fc),
+ libnm-glib-dev (>= 0.9.7.995+git201301311547.17123fc),
+ libnm-glib-vpn-dev (>= 0.9.7.995+git201301311547.17123fc),
+ network-manager-dev (>= 0.9.7.995+git201301311547.17123fc),
  docbook-to-man,
  libappindicator3-dev,
+ libgudev-1.0-dev,
+ gobject-introspection,
+ libgirepository1.0-dev,
  libgnome-bluetooth-dev (>= 2.27.6)
 Standards-Version: 3.9.2
 Homepage: http://www.gnome.org/projects/NetworkManager/
@@ -34,7 +37,7 @@
 Depends:
  ${shlibs:Depends},
  ${misc:Depends},
- network-manager (>= 0.9.6),
+ network-manager (>= 0.9.7.995+git201301311547.17123fc),
  policykit-1-gnome,
  gnome-icon-theme,
  dbus-x11
@@ -86,7 +89,7 @@
  policykit-1-gnome,
  dbus-x11
 Recommends:
- network-manager (>= 0.9.6),
+ network-manager (>= 0.9.7.995+git201301311547.17123fc),
  mobile-broadband-provider-info
 Suggests:
  network-manager-openvpn-gnome,
@@ -128,7 +131,8 @@
  ${shlibs:Depends},
  ${misc:Depends},
  libnm-gtk0 (= ${binary:Version}),
- network-manager (>= 0.9.6),
+ gir1.2-nmgtk-1.0 (= ${binary:Version}),
+ network-manager (>= 0.9.7.995+git201301311547.17123fc),
  policykit-1-gnome,
  dbus-x11
 Description: network management framework (dialogs development libraries)
@@ -140,3 +144,19 @@
  .
  This package contains development libraries to use when building applications
  that need to display dialogs for wireless or mobile connections.
+
+Package: gir1.2-nmgtk-1.0
+Section: libs
+Architecture: any
+Depends: ${gir:Depends}, ${shlibs:Depends}, ${misc:Depends}
+Description: GObject introspection data for libnm-gtk
+ NetworkManager is a system network service that manages your network devices
+ and connections, attempting to keep active network connectivity when
+ available. It manages ethernet, WiFi, mobile broadband (WWAN), and PPPoE
+ devices, and provides VPN integration with a variety of different VPN
+ services.
+ .
+ This package contains introspection data for libnm-gtk.
+ .
+ It can be used by packages using the GIRepository format to generate
+ dynamic bindings.
