=== debian/rules ===
--- 
+++ 
@@ -19,8 +19,7 @@
 export LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS) -Wl,-z,defs -Wl,--as-needed
 
 override_dh_autoreconf:
-	intltoolize -f -c
-	dh_autoreconf
+	NOCONFIGURE=1 dh_autoreconf ./autogen.sh
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
@@ -48,9 +47,14 @@
 override_dh_strip:
 	dh_strip --dbg-package=network-manager-gnome-dbg
 
+override_dh_shlibdeps:
+	dh_shlibdeps
+	dh_girepository -plibnm-gtk0
+
 override_dh_install:
-	dh_install
-	find debian/network-manager-gnome/ -name \*.la -o -name \*.a | xargs rm -f
+	find debian/tmp/ -name \*.la -delete
+	find debian/tmp/ -name \*.a -delete
+	dh_install --fail-missing
 	rm -rf debian/network-manager-gnome/usr/include/
 	# workaround for icon-changes
 	# natty fallback icons
